(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.babywhitelove01 = function() {
	this.initialize(img.babywhitelove01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove02 = function() {
	this.initialize(img.babywhitelove02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove03 = function() {
	this.initialize(img.babywhitelove03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove04 = function() {
	this.initialize(img.babywhitelove04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove05 = function() {
	this.initialize(img.babywhitelove05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove06 = function() {
	this.initialize(img.babywhitelove06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove07 = function() {
	this.initialize(img.babywhitelove07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove08 = function() {
	this.initialize(img.babywhitelove08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove09 = function() {
	this.initialize(img.babywhitelove09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove10 = function() {
	this.initialize(img.babywhitelove10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove11 = function() {
	this.initialize(img.babywhitelove11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove12 = function() {
	this.initialize(img.babywhitelove12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove13 = function() {
	this.initialize(img.babywhitelove13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove14 = function() {
	this.initialize(img.babywhitelove14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


(lib.babywhitelove15 = function() {
	this.initialize(img.babywhitelove15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,923,1295);


// stage content:
(lib.babywhitelove = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0,1,2,12,27,40,41,52,54,64,68,80,94];
	this.streamSoundSymbolsList[1] = [{id:"echioto_んっんっ",startFrame:1,endFrame:40,loop:1,offset:0}];
	this.streamSoundSymbolsList[2] = [{id:"shiri01",startFrame:2,endFrame:12,loop:1,offset:0}];
	this.streamSoundSymbolsList[12] = [{id:"shiri02",startFrame:12,endFrame:27,loop:1,offset:0}];
	this.streamSoundSymbolsList[27] = [{id:"shiri03",startFrame:27,endFrame:41,loop:1,offset:0}];
	this.streamSoundSymbolsList[40] = [{id:"g_んっんっ02",startFrame:40,endFrame:52,loop:1,offset:0}];
	this.streamSoundSymbolsList[41] = [{id:"shiri04",startFrame:41,endFrame:54,loop:1,offset:0}];
	this.streamSoundSymbolsList[52] = [{id:"echioto_息を吸うbaby",startFrame:52,endFrame:68,loop:1,offset:0}];
	this.streamSoundSymbolsList[54] = [{id:"shiri02",startFrame:54,endFrame:64,loop:1,offset:0}];
	this.streamSoundSymbolsList[64] = [{id:"shiri04",startFrame:64,endFrame:78,loop:1,offset:0}];
	this.streamSoundSymbolsList[68] = [{id:"echioto_んっ02",startFrame:68,endFrame:78,loop:1,offset:0}];
	this.streamSoundSymbolsList[80] = [{id:"echioto_んっんっ",startFrame:80,endFrame:104,loop:1,offset:0},{id:"penisup2",startFrame:80,endFrame:94,loop:1,offset:0}];
	this.streamSoundSymbolsList[94] = [{id:"shiri02",startFrame:94,endFrame:104,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
	}
	this.frame_1 = function() {
		var soundInstance = playSound("echioto_んっんっ",0);
		this.InsertIntoSoundStreamData(soundInstance,1,40,1);
	}
	this.frame_2 = function() {
		var soundInstance = playSound("shiri01",0);
		this.InsertIntoSoundStreamData(soundInstance,2,12,1);
	}
	this.frame_12 = function() {
		var soundInstance = playSound("shiri02",0);
		this.InsertIntoSoundStreamData(soundInstance,12,27,1);
	}
	this.frame_27 = function() {
		var soundInstance = playSound("shiri03",0);
		this.InsertIntoSoundStreamData(soundInstance,27,41,1);
	}
	this.frame_40 = function() {
		var soundInstance = playSound("g_んっんっ02",0);
		this.InsertIntoSoundStreamData(soundInstance,40,52,1);
	}
	this.frame_41 = function() {
		var soundInstance = playSound("shiri04",0);
		this.InsertIntoSoundStreamData(soundInstance,41,54,1);
	}
	this.frame_52 = function() {
		var soundInstance = playSound("echioto_息を吸うbaby",0);
		this.InsertIntoSoundStreamData(soundInstance,52,68,1);
	}
	this.frame_54 = function() {
		var soundInstance = playSound("shiri02",0);
		this.InsertIntoSoundStreamData(soundInstance,54,64,1);
	}
	this.frame_64 = function() {
		var soundInstance = playSound("shiri04",0);
		this.InsertIntoSoundStreamData(soundInstance,64,78,1);
	}
	this.frame_68 = function() {
		var soundInstance = playSound("echioto_んっ02",0);
		this.InsertIntoSoundStreamData(soundInstance,68,78,1);
	}
	this.frame_80 = function() {
		var soundInstance = playSound("penisup2",0);
		this.InsertIntoSoundStreamData(soundInstance,80,94,1);
		var soundInstance = playSound("echioto_んっんっ",0);
		this.InsertIntoSoundStreamData(soundInstance,80,104,1);
	}
	this.frame_94 = function() {
		var soundInstance = playSound("shiri02",0);
		this.InsertIntoSoundStreamData(soundInstance,94,104,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1).call(this.frame_1).wait(1).call(this.frame_2).wait(10).call(this.frame_12).wait(15).call(this.frame_27).wait(13).call(this.frame_40).wait(1).call(this.frame_41).wait(11).call(this.frame_52).wait(2).call(this.frame_54).wait(10).call(this.frame_64).wait(4).call(this.frame_68).wait(12).call(this.frame_80).wait(14).call(this.frame_94).wait(10));

	// レイヤー_1
	this.instance = new lib.babywhitelove01();
	this.instance.setTransform(20,20);

	this.instance_1 = new lib.babywhitelove02();
	this.instance_1.setTransform(20,20);

	this.instance_2 = new lib.babywhitelove03();
	this.instance_2.setTransform(20,20);

	this.instance_3 = new lib.babywhitelove04();
	this.instance_3.setTransform(20,20);

	this.instance_4 = new lib.babywhitelove05();
	this.instance_4.setTransform(20,20);

	this.instance_5 = new lib.babywhitelove06();
	this.instance_5.setTransform(20,20);

	this.instance_6 = new lib.babywhitelove07();
	this.instance_6.setTransform(20,20);

	this.instance_7 = new lib.babywhitelove08();
	this.instance_7.setTransform(20,20);

	this.instance_8 = new lib.babywhitelove09();
	this.instance_8.setTransform(20,20);

	this.instance_9 = new lib.babywhitelove10();
	this.instance_9.setTransform(20,20);

	this.instance_10 = new lib.babywhitelove11();
	this.instance_10.setTransform(20,20);

	this.instance_11 = new lib.babywhitelove12();
	this.instance_11.setTransform(20,20);

	this.instance_12 = new lib.babywhitelove13();
	this.instance_12.setTransform(20,20);

	this.instance_13 = new lib.babywhitelove14();
	this.instance_13.setTransform(20,20);

	this.instance_14 = new lib.babywhitelove15();
	this.instance_14.setTransform(20,20);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance}]}).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},2).to({state:[{t:this.instance_13}]},2).to({state:[{t:this.instance_14}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},2).to({state:[{t:this.instance_13}]},2).to({state:[{t:this.instance_14}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},2).to({state:[{t:this.instance_13}]},2).to({state:[{t:this.instance_14}]},2).to({state:[{t:this.instance}]},2).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},2).to({state:[{t:this.instance_5}]},2).to({state:[{t:this.instance_6}]},2).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},2).to({state:[{t:this.instance_13}]},2).to({state:[{t:this.instance_14}]},2).wait(2));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(501.5,687.5,441.5,627.5);
// library properties:
lib.properties = {
	id: 'FE2ADC5CCFE93740A9E894B5106ECBBB',
	width: 963,
	height: 1335,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/babywhitelove01.jpg", id:"babywhitelove01"},
		{src:"images/babywhitelove02.jpg", id:"babywhitelove02"},
		{src:"images/babywhitelove03.jpg", id:"babywhitelove03"},
		{src:"images/babywhitelove04.jpg", id:"babywhitelove04"},
		{src:"images/babywhitelove05.jpg", id:"babywhitelove05"},
		{src:"images/babywhitelove06.jpg", id:"babywhitelove06"},
		{src:"images/babywhitelove07.jpg", id:"babywhitelove07"},
		{src:"images/babywhitelove08.jpg", id:"babywhitelove08"},
		{src:"images/babywhitelove09.jpg", id:"babywhitelove09"},
		{src:"images/babywhitelove10.jpg", id:"babywhitelove10"},
		{src:"images/babywhitelove11.jpg", id:"babywhitelove11"},
		{src:"images/babywhitelove12.jpg", id:"babywhitelove12"},
		{src:"images/babywhitelove13.jpg", id:"babywhitelove13"},
		{src:"images/babywhitelove14.jpg", id:"babywhitelove14"},
		{src:"images/babywhitelove15.jpg", id:"babywhitelove15"},
		{src:"sounds/echioto_息を吸うbaby.mp3", id:"echioto_息を吸うbaby"},
		{src:"sounds/echioto_んっ02.mp3", id:"echioto_んっ02"},
		{src:"sounds/echioto_んっんっ.mp3", id:"echioto_んっんっ"},
		{src:"sounds/g_んっんっ02.mp3", id:"g_んっんっ02"},
		{src:"sounds/penisup2.mp3", id:"penisup2"},
		{src:"sounds/shiri01.mp3", id:"shiri01"},
		{src:"sounds/shiri02.mp3", id:"shiri02"},
		{src:"sounds/shiri03.mp3", id:"shiri03"},
		{src:"sounds/shiri04.mp3", id:"shiri04"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['FE2ADC5CCFE93740A9E894B5106ECBBB'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;